/*
 * ChangeNameAction.hpp
 *
 *  Created on: Jan 15, 2010
 *      Author: crueger
 */

#ifndef CHANGENAMEACTION_HPP
#define CHANGENAMEACTION_HPP

#include "Actions/Action.hpp"
#include "Actions/Process.hpp"

class MoleculeListClass;

class MoleculeChangeNameAction : public Action {
public:
  MoleculeChangeNameAction(MoleculeListClass*);
  virtual ~MoleculeChangeNameAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  MoleculeListClass *molecules;
  static const char NAME[];
};


#endif // CHANGENAMEACTION_HPP
